Dianara 1.4.2 is out!

November 18, 2018

Finally time for another minor release of Dianara, my desktop application for the Pump.io social network.

As announced some time ago, v1.3.7 was the last version to support Qt 4.x. Qt 5 is required since 1.4.0. The bad news is that, at this time, users of distributions such as Debian 9 can’t build with the version of QOAuth present in their repositories, based on the old Qt 4. Current Debian Testing/Sid is fine though. Debian 9 might get the required versions in the Backports repository at some point.

Mageia 6 and newer provide the required versions, and so do Archlinux, openSUSE (in a separate repository), Fedora and others. If you have that, but experience problems building this version, your QOAuth might be missing a feature file (.prf), like used to be the case in Debian.

 Changelog

Changes since v1.4.1 are mostly small fixes, and include:

  • Changed OK/Cancel buttons in several dialogs to follow environment style.
  • Fixed a corner case where a post deleted by its author, while a comment was being composed, would block timeline updates until program restart.
  • When a post is cancelled, abort possible ongoing file upload immediately.
  • Fixed Cancel button being disabled while sending a comment.
  • Fixed a pagination bug that would set the wrong page number if a timeline update had failed previously.

(Full CHANGELOG is here)

Downloads

Dianara is available in the repositories of several GNU/linux distributions. At the time of this post, at least Debian 8 (Jessie) and newer, Mageia 4 and later, Chakra, Ubuntu 13.10 and newer, KaosX, openSuse 13.2 and later, Parabola, Salix OS, Slackware 14.2 and later and Fedora 26 and later.  Hopefully they’ll have this release packaged soon, either in regular updates or in backports repositories. Thanks to all the great packagers who make this possible! 😉

For Archlinux, you can find a Dianara recipe on the AUR, and for Gentoo, you can use the ebuild.

 

You can get the code from linux-apps.comlinux-apps.com/p/1131916/ or from GNU Savannah: download.savannah.gnu.org/releases/dianara/dianara-v1.4.2.tar.gz

If you need, or want, to build from source, check the INSTALL file for details on how to build it and the necessary build-time and runtime dependencies.

Cheers! o/

Advertisements

%d bloggers like this: